{
  'variables': {
    'v8_use_snapshot%': 'false',
    'v8_trace_maps%': 0,
    'node_use_dtrace%': 'false',
    'node_use_etw%': 'false',
    'node_no_browser_globals%': 'false',
    'node_code_cache_path%': '',
    'node_use_v8_platform%': 'true',
    'node_use_bundled_v8%': 'true',
    'node_shared%': 'true',
    'force_dynamic_crt%': 0,
    'node_module_version%': '',
    'node_shared_zlib%': 'false',
    'node_shared_http_parser%': 'false',
    'node_shared_cares%': 'false',
    'node_shared_libuv%': 'false',
    'node_shared_nghttp2%': 'false',
    'node_use_openssl%': 'true',
    'node_shared_openssl%': 'false',
    'node_v8_options%': '',
    'node_enable_v8_vtunejit%': 'false',
    'node_core_target_name%': 'v8',
    'node_lib_target_name%': 'node_core',
    'node_intermediate_lib_type%': 'static_library',
    'library_files': [
    ],
    'conditions': [
      [ 'node_shared=="true"', {
        'node_target_type%': 'shared_library',
        'conditions': [
          ['OS=="aix"', {
            # For AIX, always generate static library first,
            # It needs an extra step to generate exp and
            # then use both static lib and exp to create
            # shared lib.
            'node_intermediate_lib_type': 'static_library',
          }, {
            'node_intermediate_lib_type': 'shared_library',
          }],
        ],
      }, {
        'node_target_type%': 'shared_library',
      }],
 
    ],
  },

  'targets': [
    {
      'target_name': '<(node_core_target_name)',
      'type': 'shared_library',
      'sources': [
      ],
      'includes': [
        'node.gypi'
      ],
      'include_dirs': [
        'src',
        'deps/v8/include',
      ],

      'conditions': [
        [ 'node_intermediate_lib_type=="static_library" and '
            'node_shared=="false"', {
          'conditions': [
            ['OS!="aix"', {
              'ldflags': [
#                '-Wl,--whole-archive,'
#                     '<(v8_static_lib_dir)/<(STATIC_LIB_PREFIX)v8_base<(STATIC_LIB_SUFFIX) '
#                     '<(v8_static_lib_dir)/<(STATIC_LIB_PREFIX)v8_libplatform<(STATIC_LIB_SUFFIX) '
#                     '<(v8_static_lib_dir)/<(STATIC_LIB_PREFIX)v8_snapshot<(STATIC_LIB_SUFFIX) '
#                     '<(v8_static_lib_dir)/<(STATIC_LIB_PREFIX)v8_libbase<(STATIC_LIB_SUFFIX) '
#                     '<(icu_static_lib_dir)/<(STATIC_LIB_PREFIX)icui18n<(STATIC_LIB_SUFFIX) '
#                     '<(icu_static_lib_dir)/<(STATIC_LIB_PREFIX)icuucx<(STATIC_LIB_SUFFIX) '
#                     '<(icu_static_lib_dir)/<(STATIC_LIB_PREFIX)icudata<(STATIC_LIB_SUFFIX) '
#                     '<(icu_static_lib_dir)/<(STATIC_LIB_PREFIX)icustubdata<(STATIC_LIB_SUFFIX) '
#                ,'-Wl,--no-whole-archive',
              ],
            }],
          ],
        }],
        [ '(OS=="freebsd" or OS=="linux") and node_shared=="false"'
          ' and force_load=="true"', {
#          'ldflags': [ '-Wl,-z,noexecstack',
#                   '-Wl,--whole-archive <(v8_base)',
#                   '-Wl,--no-whole-archive' ]
        }], 
        [ 'node_shared=="true"', {
        }],
      ],
    }, # node_core_target_name
  ], # end targets
}
